Clippingplane evaluates as a Surface

Hi,

I just found that rhinoscriptsyntax.IsSurface() evaluates True for a clippingplane.
Is that per intention, or an oversight?

import rhinoscriptsyntax as rs
clipping_plane = rs.AddClippingPlane(rs.WorldXYPlane(),1,1)
print rs.IsSurface(clipping_plane)
>TRUE

-Willem

Hi Willem,

I’d say its an oversight, which is quite polite. Although the underlying geometry of clipping plane object is a plane surface, it shouldn’t pass the IsSurface test…

http://mcneel.myjetbrains.com/youtrack/issue/RH-33671

– Dale

1 Like

It should probably pass the IsClippingPlane test, if there is such a thing. If not, maybe there should be.
(As you can tell, I haven’t written a script in quite a while.)